"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_intersection_observer_1 = require("react-intersection-observer");
var withInfiniteScrollView = function (Component, opts) { return function (props) {
    var _a = (0, react_intersection_observer_1.useInView)(opts), ref = _a.ref, inView = _a.inView;
    return react_1.default.createElement(Component, __assign({}, props, { infiniteRef: ref, infiniteInView: inView }));
}; };
exports.default = withInfiniteScrollView;
