"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var moment = __importStar(require("moment-timezone"));
var CkTime = (function () {
    function CkTime() {
    }
    CkTime.init = function (timeZone) {
        CkTime.TZ = timeZone;
    };
    CkTime.beforeMonth = function (tm, month, isMilli, timeZone) {
        var _timezone = timeZone || CkTime.TZ;
        if (isMilli) {
            return moment.tz(tm, _timezone).subtract(month, 'month').valueOf();
        }
        return Math.floor(moment.tz(tm * 1000, _timezone).subtract(month, 'month').valueOf() / 1000);
    };
    CkTime.afterMonth = function (tm, month, isMilli, timeZone) {
        var _timezone = timeZone || CkTime.TZ;
        if (isMilli) {
            return moment.tz(tm, _timezone).add(month, 'month').valueOf();
        }
        return Math.floor(moment.tz(tm * 1000, _timezone).add(month, 'month').valueOf() / 1000);
    };
    CkTime.toString = function (tm, format, isMilli, timeZone) {
        var _timeZone = timeZone || CkTime.TZ;
        if (isMilli) {
            return moment.tz(tm, _timeZone).format(format);
        }
        return moment.tz(tm * 1000, _timeZone).format(format);
    };
    CkTime.toValue = function (str, format, isMilli, timeZone) {
        var _timeZone = timeZone || CkTime.TZ;
        var tm = moment.tz(str, format, _timeZone).valueOf();
        if (isMilli) {
            return tm;
        }
        return Math.floor(tm / 1000);
    };
    CkTime.TZ = 'Asia/Seoul';
    return CkTime;
}());
exports.default = CkTime;
