"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable import/no-extraneous-dependencies */
/**
 * react-timer-hook 의 userTimer hook 을 class 에서도 사용하기 위해서 wrapping 함.
 */
var react_1 = __importDefault(require("react"));
var react_timer_hook_1 = require("react-timer-hook");
var withTimerHook = function (Component, expiryTimestamp, autoStart, onExpire) { return function (props) {
    // hook 은 function 내부에서 선언해야 함.
    var timer = (0, react_timer_hook_1.useTimer)({ expiryTimestamp: expiryTimestamp, autoStart: autoStart, onExpire: onExpire });
    return react_1.default.createElement(Component, __assign({}, props, { timer: timer }));
}; };
exports.default = withTimerHook;
